This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1038409 - CVE-2013-6887 CVE-2013-1447 CVE-2013-6045 CVE-2013-6052 CVE-2013-6053 openjpeg: various flaws [fedora-all]
CVE-2013-6887 CVE-2013-1447 CVE-2013-6045 CVE-2013-6052 CVE-2013-6053 openjpe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openjpeg (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
fst_ping=1
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2013-6052 CVE-2013-6045 CVE-2013-1447 CVE-2013-6053 CVE-2013-6887
  Show dependency treegraph
 
Reported: 2013-12-05 00:03 EST by Murray McAllister
Modified: 2016-01-31 20:59 EST (History)
6 users (show)

See Also:
Fixed In Version: openjpeg-1.5.1-13.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-03 13:58:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-12-05 00:03:12 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Murray McAllister 2013-12-05 00:03:34 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1036491,1038409
Comment 2 Murray McAllister 2013-12-05 00:05:00 EST
Adding parent bug 1036493 (for CVE-2013-6053).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1038409,1036491,1036493
Comment 3 Murray McAllister 2013-12-05 00:06:44 EST
Adding parent bug 1036495 (for CVE-2013-6045).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1038409,1036491,1036493,1036495
Comment 4 Huzaifa S. Sidhpurwala 2013-12-06 04:47:50 EST
Adding parent bug 1037945 (for CVE-2013-1447).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1038409,1036491,1036493,1036495,1037945
Comment 5 Huzaifa S. Sidhpurwala 2013-12-06 04:49:16 EST
Adding parent bug 1037948 (for CVE-2013-6887).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1038409,1036491,1036493,1036495,1037945,1037948
Comment 6 Fedora Update System 2014-01-09 13:51:05 EST
openjpeg-1.5.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-7.fc20
Comment 7 Fedora Update System 2014-01-09 13:52:13 EST
openjpeg-1.5.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-7.fc19
Comment 8 Fedora Update System 2014-01-09 13:53:11 EST
openjpeg-1.5.1-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-7.fc18
Comment 9 Fedora Update System 2014-01-11 16:00:53 EST
openjpeg-1.5.1-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-8.fc20
Comment 10 Fedora Update System 2014-01-11 16:05:40 EST
openjpeg-1.5.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-8.fc19
Comment 11 Fedora Update System 2014-01-11 16:07:04 EST
openjpeg-1.5.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-8.fc18
Comment 12 Fedora Update System 2014-01-12 21:55:11 EST
Package openjpeg-1.5.1-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openjpeg-1.5.1-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0708/openjpeg-1.5.1-8.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-01-14 03:42:51 EST
openjpeg-1.5.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-01-30 23:29:35 EST
openjpeg-1.5.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Benjamin Gilbert 2014-05-22 02:50:05 EDT
The patch for CVE-2013-6045 was reverted in 1.5.1-8 due to bug 1093379, so -6045 has not been fixed.
Comment 16 pjp 2014-12-03 13:25:07 EST
Hello jcapik,

Could you please fix this soon?
Comment 17 Jaromír Cápík 2014-12-15 07:20:28 EST
Hello.
I fixed this in f20/f21 two months ago.
The patch haven't caused any problems since that and therefore looks suitable for f19 backport.
Going to do that.
Comment 18 Fedora Update System 2014-12-15 08:33:39 EST
openjpeg-1.5.1-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openjpeg-1.5.1-13.fc19
Comment 19 Fedora Update System 2014-12-16 23:48:33 EST
Package openjpeg-1.5.1-13.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openjpeg-1.5.1-13.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17053/openjpeg-1.5.1-13.fc19
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2015-01-03 13:58:09 EST
openjpeg-1.5.1-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.